# PHP Auth Demo

Cette démo simpliste montre comment utiliser AriseID Connect via Oauth2
ou OpenID Connect.
Le code fait une centaine de ligne, sans dépendances et facilement adaptable à d'autres cas d'usages.

**Nous recommandons cependant d'utiliser des librairies pour la sécurité de votre application,**
**notamment sur la gestion des erreurs.**

> Inspiré de https://github.com/aaronpk/sample-oauth2-client

## https://php.auth.demo.iiens.net

## Installation locale

### Installer PHP

Sur Ubuntu/Debian
```shell
sudo apt install php-cli
sudo apt install php-curl
```

### Démarrer le serveur web

```shell
php -S localhost:8000
```

Les endpoints sont changeables via variable d'environnement :
```shell
AIDC_CLIENT_ID="f97b146f-121a-4400-a79c-7c2ecbbd87f8" AIDC_CLIENT_SECRET="y6hsryRm6P~QSen~Xs0UtvkEcK" OAUTH_SERVER="http://oidc.127.0.0.1.nip.io:4444" API_SERVER="http://api.127.0.0.1.nip.io:5000" php -S localhost:8000
```